Bug 115141 - Ignore games/trophy
Ignore games/trophy
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Edwin Groothuis
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 13:50 UTC by carpetsmoker
Modified: 2007-09-10 00:44 UTC (History)
0 users

See Also:


Attachments
trophy.diff (301 bytes, patch)
2007-08-02 13:50 UTC, carpetsmoker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description carpetsmoker 2007-08-02 13:50:00 UTC
Set ignore on games/trophy, it will compile but not run.
Comment 1 pav freebsd_committer 2007-08-03 22:25:08 UTC
State Changed
From-To: open->feedback

What about updating the port to 1.1.4, which supports new clanlib, instead?
Comment 2 carpetsmoker 2007-08-04 03:41:06 UTC
I made these patches some time ago (Before 1.1.4 was released), but didn't
submit them until now because I had some other stuff to do...

Anyway, this patch will update trophy to 1.1.4 and pass maintainership to me.


diff -urN --exclude CVS /ports/games/trophy.orig/Makefile trophy/Makefile
--- /ports/games/trophy.orig/Makefile	2007-05-19 20:07:41.000000000 +0000
+++ trophy/Makefile	2007-08-04 03:36:57.000000000 +0000
@@ -2,46 +2,51 @@
 # Date created:			22 Jan 2004
 # Whom:				Jean-Yves Lefort <jylefort@brutele.be>
 #
+# $Carpetsmoker: ports/games/trophy/Makefile,v 1.3 2007/08/04 03:36:57 carpetsmoker Exp $
 # $FreeBSD: ports/games/trophy/Makefile,v 1.8 2007/05/19 20:07:41 flz Exp $
 #
 
-PORTNAME=		trophy
-PORTVERSION=		1.1.3
-PORTREVISION=	2
-CATEGORIES=		games
-MASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=	${PORTNAME}
-DISTNAME=		${PORTNAME}-${PORTVERSION}-src
-
-MAINTAINER=		ports@FreeBSD.org
-COMMENT=		A single player racing game
-
-LIB_DEPENDS=		clanCore.2:${PORTSDIR}/devel/clanlib
-
-USE_X_PREFIX=		yes
-USE_GMAKE=		yes
-BUILD_WRKSRC=		${WRKSRC}/trophy
+PORTNAME=	trophy
+PORTVERSION=	1.1.4
+CATEGORIES=	games
+#MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
+#MASTER_SITE_SUBDIR=	${PORTNAME}
+MASTER_SITES=	http://trophy.sourceforge.net/archives/
+
+MAINTAINER=	carpetsmoker@xs4all.nl
+COMMENT=	A single player racing game
+
+LIB_DEPENDS=	clanCore-0.8:${PORTSDIR}/devel/clanlib
+
+USE_GMAKE=	yes
+MAKEFILE=	Makefile.in
+BUILD_WRKSRC=	${WRKSRC}/trophy
+CXXFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
 
-MAKE_ENV=		PTHREAD_CFLAGS=${PTHREAD_CFLAGS} \
-			PTHREAD_LIBS=${PTHREAD_LIBS}
-
-post-extract:
-	@${FIND} ${BUILD_WRKSRC}/resources -name .cvsignore -exec ${RM} -f {} \;
+post-patch:
 	@${REINPLACE_CMD} -e 's/std::sqrt/sqrt/' ${BUILD_WRKSRC}/caimagemanipulation.cpp \
 		${BUILD_WRKSRC}/catrophy.cpp ${BUILD_WRKSRC}/camath.cpp
+	@${REINPLACE_CMD} -e 's|resources.xml|${DATADIR}/resources.xml|' \
+		${BUILD_WRKSRC}/caresources.cpp
+	@${REINPLACE_CMD} -e 's|@prefix@|${PREFIX}|; \
+		s|@exec_prefix@|$${PREFIX}/bin|; \
+		s|@datadir@|${DATADIR}|; \
+		s|@bindir@|$${PREFIX}/bin|; \
+		s|EXTERN_LIBS =|EXTERN_LIBS = ${PTHREAD_LIBS}|;' \
+			${BUILD_WRKSRC}/Makefile.in
 
 do-install:
 	${MKDIR} ${PREFIX}/bin
 	${INSTALL_PROGRAM} ${BUILD_WRKSRC}/trophy ${PREFIX}/bin
 	${MKDIR} ${DATADIR}
-	${INSTALL_DATA} ${BUILD_WRKSRC}/resources.scr ${DATADIR}
+	${INSTALL_DATA} ${BUILD_WRKSRC}/resources.xml ${DATADIR}
 	${CP} -R ${BUILD_WRKSRC}/resources ${DATADIR}
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} \
 		${WRKSRC}/AUTHORS \
+		${WRKSRC}/COPYING \
 		${WRKSRC}/ChangeLog \
-		${WRKSRC}/ChangeLog.old \
 		${WRKSRC}/README \
 		${WRKSRC}/TODO \
 		${DOCSDIR}
diff -urN --exclude CVS /ports/games/trophy.orig/distinfo trophy/distinfo
--- /ports/games/trophy.orig/distinfo	2006-01-22 11:18:45.000000000 +0000
+++ trophy/distinfo	2007-08-04 03:35:41.000000000 +0000
@@ -1,3 +1,3 @@
-MD5 (trophy-1.1.3-src.tar.gz) = 45a8c6eec9ab5d110660a32416d1ec8f
-SHA256 (trophy-1.1.3-src.tar.gz) = 9f57bc77587b485f7eeb2948bfcb12d3e03c85b86c8b148c49a410df2a433871
-SIZE (trophy-1.1.3-src.tar.gz) = 9330835
+MD5 (trophy-1.1.4.tar.gz) = 5a2a50f2a6f64317f9c7a889fae74e05
+SHA256 (trophy-1.1.4.tar.gz) = 7c5ff8d59f31ec27b96e1759a4f9666be7802f134d258b213b5dc2a3983959d4
+SIZE (trophy-1.1.4.tar.gz) = 9850758
diff -urN --exclude CVS /ports/games/trophy.orig/files/patch-trophy::Makefile trophy/files/patch-trophy::Makefile
--- /ports/games/trophy.orig/files/patch-trophy::Makefile	2004-01-25 21:29:45.000000000 +0000
+++ trophy/files/patch-trophy::Makefile	1970-01-01 00:00:00.000000000 +0000
@@ -1,29 +0,0 @@
---- trophy/Makefile.orig	Thu Jan 22 16:19:22 2004
-+++ trophy/Makefile	Thu Jan 22 16:46:00 2004
-@@ -1,6 +1,6 @@
- # Generated automatically from Makefile.in by configure.
- 
--prefix =	/usr/local
-+prefix =	${PREFIX}
- exec_prefix =	${prefix}
- datadir =	${prefix}/share
- bindir =	${exec_prefix}/bin
-@@ -37,7 +37,8 @@
- 		catrophy.o \
- 		cawidget.o
- #DATAFILES =     resources.dat
--EXTERN_LIBS =   -lclanCore -lclanSound -lclanDisplay -lclanApp -lHermes
-+EXTERN_LIBS =   -L$(LOCALBASE)/lib -lclanCore -lclanSound -lclanDisplay -lclanApp -lHermes $(PTHREAD_LIBS)
-+INCLUDES =      -I$(LOCALBASE)/include
- 
- all: trophy $(DATAFILES)
- 
-@@ -54,7 +55,7 @@
- 	$(CXX) $(EXTERN_LIBS) -o trophy $(OBJF)
- 
- %.o : %.cpp
--	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) -O3 -Wall -DPKGDATADIR=\"$(datadir)/trophy\" $< -o $@
-+	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $(PTHREAD_CFLAGS) $(INCLUDES) -Wall -DPKGDATADIR=\"$(datadir)/trophy\" $< -o $@
- 
- %.dat : %.scr trophy
- 	./trophy -datafile $< $@
diff -urN --exclude CVS /ports/games/trophy.orig/pkg-plist trophy/pkg-plist
--- /ports/games/trophy.orig/pkg-plist	2004-01-25 21:29:45.000000000 +0000
+++ trophy/pkg-plist	2007-08-04 03:35:41.000000000 +0000
@@ -1,139 +1,139 @@
 bin/trophy
-share/trophy/resources.scr
-share/trophy/resources/cars/dust.tga
-share/trophy/resources/cars/flash2/surface.tga
-share/trophy/resources/cars/flash2/surface3d.tga
-share/trophy/resources/cars/jeep/surface.tga
-share/trophy/resources/cars/jeep/surface3d.tga
-share/trophy/resources/cars/vw/surface.tga
-share/trophy/resources/cars/vw/surface3d.tga
-share/trophy/resources/cars/z3/surface.tga
-share/trophy/resources/cars/z3/surface3d.tga
-share/trophy/resources/fonts/lcd_13_green.tga
-share/trophy/resources/fonts/normal_11_white.tga
-share/trophy/resources/fonts/normal_14_white.tga
-share/trophy/resources/fonts/normal_22_gray.tga
-share/trophy/resources/fonts/normal_22_white.tga
-share/trophy/resources/fonts/normal_8_white.tga
-share/trophy/resources/goody/bullets.tga
-share/trophy/resources/goody/fogbomb.tga
-share/trophy/resources/goody/life.tga
-share/trophy/resources/goody/money.tga
-share/trophy/resources/goody/turbo.tga
-share/trophy/resources/gui/arrow_b.tga
-share/trophy/resources/gui/arrow_l.tga
-share/trophy/resources/gui/arrow_r.tga
-share/trophy/resources/gui/arrow_t.tga
-share/trophy/resources/gui/border1.tga
-share/trophy/resources/gui/border2.tga
-share/trophy/resources/gui/border3.tga
-share/trophy/resources/gui/border4.tga
-share/trophy/resources/gui/button.tga
-share/trophy/resources/gui/edge1.tga
-share/trophy/resources/gui/edge2.tga
-share/trophy/resources/gui/edge3.tga
-share/trophy/resources/gui/edge4.tga
-share/trophy/resources/gui/loading.tga
-share/trophy/resources/gui/progressbar.tga
-share/trophy/resources/menu/bar.tga
-share/trophy/resources/menu/bg.tga
-share/trophy/resources/menu/cursorani.tga
-share/trophy/resources/misc/carfire.tga
-share/trophy/resources/misc/caution.tga
-share/trophy/resources/misc/checkflag.tga
-share/trophy/resources/misc/cross.tga
-share/trophy/resources/misc/dust.tga
-share/trophy/resources/misc/fog.tga
-share/trophy/resources/misc/gunfire.tga
-share/trophy/resources/misc/hitpoint.tga
-share/trophy/resources/misc/info.tga
-share/trophy/resources/misc/light.tga
-share/trophy/resources/misc/verticalbar.tga
-share/trophy/resources/panel/button.tga
-share/trophy/resources/panel/death.tga
-share/trophy/resources/panel/infoview.tga
-share/trophy/resources/panel/label.tga
-share/trophy/resources/panel/life.tga
-share/trophy/resources/panel/speed.tga
-share/trophy/resources/panel/turbo.tga
-share/trophy/resources/panel/turbolabel.tga
-share/trophy/resources/sounds/background01.wav
-share/trophy/resources/sounds/carhorn.wav
-share/trophy/resources/sounds/crash.wav
-share/trophy/resources/sounds/dog.wav
-share/trophy/resources/sounds/engine.wav
-share/trophy/resources/sounds/fire.wav
-share/trophy/resources/sounds/fogbomb.wav
-share/trophy/resources/sounds/goody.wav
-share/trophy/resources/sounds/goody_bullets.wav
-share/trophy/resources/sounds/goody_fogbomb.wav
-share/trophy/resources/sounds/goody_life.wav
-share/trophy/resources/sounds/goody_money.wav
-share/trophy/resources/sounds/goody_turbo.wav
-share/trophy/resources/sounds/light.wav
-share/trophy/resources/sounds/menu.wav
-share/trophy/resources/sounds/selector.wav
-share/trophy/resources/sounds/shoot.wav
-share/trophy/resources/sounds/shot.wav
-share/trophy/resources/sounds/slide.wav
-share/trophy/resources/tracks/Downtown/bridge.tga
-share/trophy/resources/tracks/Downtown/config.tck
-share/trophy/resources/tracks/Downtown/fmap.tga
-share/trophy/resources/tracks/Downtown/thumb.tga
-share/trophy/resources/tracks/Downtown/vmap.tga
-share/trophy/resources/tracks/Loops/bridge.tga
-share/trophy/resources/tracks/Loops/config.tck
-share/trophy/resources/tracks/Loops/fmap.tga
-share/trophy/resources/tracks/Loops/thumb.tga
-share/trophy/resources/tracks/Loops/vmap.tga
-share/trophy/resources/tracks/Moon/bridge.tga
-share/trophy/resources/tracks/Moon/config.tck
-share/trophy/resources/tracks/Moon/fmap.tga
-share/trophy/resources/tracks/Moon/thumb.tga
-share/trophy/resources/tracks/Moon/vmap.tga
-share/trophy/resources/tracks/Rally/config.tck
-share/trophy/resources/tracks/Rally/fmap.tga
-share/trophy/resources/tracks/Rally/thumb.tga
-share/trophy/resources/tracks/Rally/vmap.tga
-share/trophy/resources/tracks/Snake/bridge.tga
-share/trophy/resources/tracks/Snake/config.tck
-share/trophy/resources/tracks/Snake/fmap.tga
-share/trophy/resources/tracks/Snake/thumb.tga
-share/trophy/resources/tracks/Snake/vmap.tga
-share/trophy/resources/tracks/Zigzag/bridge.tga
-share/trophy/resources/tracks/Zigzag/config.tck
-share/trophy/resources/tracks/Zigzag/fmap.tga
-share/trophy/resources/tracks/Zigzag/thumb.tga
-share/trophy/resources/tracks/Zigzag/vmap.tga
-share/trophy/resources/tracks/Zurich/config.tck
-share/trophy/resources/tracks/Zurich/fmap.tga
-share/trophy/resources/tracks/Zurich/thumb.tga
-share/trophy/resources/tracks/Zurich/vmap.tga
-@dirrm share/trophy/resources/cars/flash2
-@dirrm share/trophy/resources/cars/jeep
-@dirrm share/trophy/resources/cars/vw
-@dirrm share/trophy/resources/cars/z3
-@dirrm share/trophy/resources/cars
-@dirrm share/trophy/resources/fonts
-@dirrm share/trophy/resources/goody
-@dirrm share/trophy/resources/gui
-@dirrm share/trophy/resources/menu
-@dirrm share/trophy/resources/misc
-@dirrm share/trophy/resources/panel
-@dirrm share/trophy/resources/sounds
-@dirrm share/trophy/resources/tracks/Downtown
-@dirrm share/trophy/resources/tracks/Loops
-@dirrm share/trophy/resources/tracks/Moon
-@dirrm share/trophy/resources/tracks/Rally
-@dirrm share/trophy/resources/tracks/Snake
-@dirrm share/trophy/resources/tracks/Zigzag
-@dirrm share/trophy/resources/tracks/Zurich
-@dirrm share/trophy/resources/tracks
-@dirrm share/trophy/resources
+%%DATADIR%%/resources.xml
+%%DATADIR%%/resources/cars/dust.tga
+%%DATADIR%%/resources/cars/flash2/surface.tga
+%%DATADIR%%/resources/cars/flash2/surface3d.tga
+%%DATADIR%%/resources/cars/jeep/surface.tga
+%%DATADIR%%/resources/cars/jeep/surface3d.tga
+%%DATADIR%%/resources/cars/vw/surface.tga
+%%DATADIR%%/resources/cars/vw/surface3d.tga
+%%DATADIR%%/resources/cars/z3/surface.tga
+%%DATADIR%%/resources/cars/z3/surface3d.tga
+%%DATADIR%%/resources/fonts/lcd_13_green.tga
+%%DATADIR%%/resources/fonts/normal_11_white.tga
+%%DATADIR%%/resources/fonts/normal_14_white.tga
+%%DATADIR%%/resources/fonts/normal_22_gray.tga
+%%DATADIR%%/resources/fonts/normal_22_white.tga
+%%DATADIR%%/resources/fonts/normal_8_white.tga
+%%DATADIR%%/resources/goody/bullets.tga
+%%DATADIR%%/resources/goody/fogbomb.tga
+%%DATADIR%%/resources/goody/life.tga
+%%DATADIR%%/resources/goody/money.tga
+%%DATADIR%%/resources/goody/turbo.tga
+%%DATADIR%%/resources/gui/arrow_b.tga
+%%DATADIR%%/resources/gui/arrow_l.tga
+%%DATADIR%%/resources/gui/arrow_r.tga
+%%DATADIR%%/resources/gui/arrow_t.tga
+%%DATADIR%%/resources/gui/border1.tga
+%%DATADIR%%/resources/gui/border2.tga
+%%DATADIR%%/resources/gui/border3.tga
+%%DATADIR%%/resources/gui/border4.tga
+%%DATADIR%%/resources/gui/button.tga
+%%DATADIR%%/resources/gui/edge1.tga
+%%DATADIR%%/resources/gui/edge2.tga
+%%DATADIR%%/resources/gui/edge3.tga
+%%DATADIR%%/resources/gui/edge4.tga
+%%DATADIR%%/resources/gui/loading.tga
+%%DATADIR%%/resources/gui/progressbar.tga
+%%DATADIR%%/resources/menu/bar.tga
+%%DATADIR%%/resources/menu/bg.tga
+%%DATADIR%%/resources/menu/cursorani.tga
+%%DATADIR%%/resources/misc/carfire.tga
+%%DATADIR%%/resources/misc/caution.tga
+%%DATADIR%%/resources/misc/checkflag.tga
+%%DATADIR%%/resources/misc/cross.tga
+%%DATADIR%%/resources/misc/dust.tga
+%%DATADIR%%/resources/misc/fog.tga
+%%DATADIR%%/resources/misc/gunfire.tga
+%%DATADIR%%/resources/misc/hitpoint.tga
+%%DATADIR%%/resources/misc/info.tga
+%%DATADIR%%/resources/misc/light.tga
+%%DATADIR%%/resources/misc/verticalbar.tga
+%%DATADIR%%/resources/panel/button.tga
+%%DATADIR%%/resources/panel/death.tga
+%%DATADIR%%/resources/panel/infoview.tga
+%%DATADIR%%/resources/panel/label.tga
+%%DATADIR%%/resources/panel/life.tga
+%%DATADIR%%/resources/panel/speed.tga
+%%DATADIR%%/resources/panel/turbo.tga
+%%DATADIR%%/resources/panel/turbolabel.tga
+%%DATADIR%%/resources/sounds/background01.wav
+%%DATADIR%%/resources/sounds/carhorn.wav
+%%DATADIR%%/resources/sounds/crash.wav
+%%DATADIR%%/resources/sounds/dog.wav
+%%DATADIR%%/resources/sounds/engine.wav
+%%DATADIR%%/resources/sounds/fire.wav
+%%DATADIR%%/resources/sounds/fogbomb.wav
+%%DATADIR%%/resources/sounds/goody.wav
+%%DATADIR%%/resources/sounds/goody_bullets.wav
+%%DATADIR%%/resources/sounds/goody_fogbomb.wav
+%%DATADIR%%/resources/sounds/goody_life.wav
+%%DATADIR%%/resources/sounds/goody_money.wav
+%%DATADIR%%/resources/sounds/goody_turbo.wav
+%%DATADIR%%/resources/sounds/light.wav
+%%DATADIR%%/resources/sounds/menu.wav
+%%DATADIR%%/resources/sounds/selector.wav
+%%DATADIR%%/resources/sounds/shoot.wav
+%%DATADIR%%/resources/sounds/shot.wav
+%%DATADIR%%/resources/sounds/slide.wav
+%%DATADIR%%/resources/tracks/Downtown/bridge.tga
+%%DATADIR%%/resources/tracks/Downtown/config.tck
+%%DATADIR%%/resources/tracks/Downtown/fmap.tga
+%%DATADIR%%/resources/tracks/Downtown/thumb.tga
+%%DATADIR%%/resources/tracks/Downtown/vmap.tga
+%%DATADIR%%/resources/tracks/Loops/bridge.tga
+%%DATADIR%%/resources/tracks/Loops/config.tck
+%%DATADIR%%/resources/tracks/Loops/fmap.tga
+%%DATADIR%%/resources/tracks/Loops/thumb.tga
+%%DATADIR%%/resources/tracks/Loops/vmap.tga
+%%DATADIR%%/resources/tracks/Moon/bridge.tga
+%%DATADIR%%/resources/tracks/Moon/config.tck
+%%DATADIR%%/resources/tracks/Moon/fmap.tga
+%%DATADIR%%/resources/tracks/Moon/thumb.tga
+%%DATADIR%%/resources/tracks/Moon/vmap.tga
+%%DATADIR%%/resources/tracks/Rally/config.tck
+%%DATADIR%%/resources/tracks/Rally/fmap.tga
+%%DATADIR%%/resources/tracks/Rally/thumb.tga
+%%DATADIR%%/resources/tracks/Rally/vmap.tga
+%%DATADIR%%/resources/tracks/Snake/bridge.tga
+%%DATADIR%%/resources/tracks/Snake/config.tck
+%%DATADIR%%/resources/tracks/Snake/fmap.tga
+%%DATADIR%%/resources/tracks/Snake/thumb.tga
+%%DATADIR%%/resources/tracks/Snake/vmap.tga
+%%DATADIR%%/resources/tracks/Zigzag/bridge.tga
+%%DATADIR%%/resources/tracks/Zigzag/config.tck
+%%DATADIR%%/resources/tracks/Zigzag/fmap.tga
+%%DATADIR%%/resources/tracks/Zigzag/thumb.tga
+%%DATADIR%%/resources/tracks/Zigzag/vmap.tga
+%%DATADIR%%/resources/tracks/Zurich/config.tck
+%%DATADIR%%/resources/tracks/Zurich/fmap.tga
+%%DATADIR%%/resources/tracks/Zurich/thumb.tga
+%%DATADIR%%/resources/tracks/Zurich/vmap.tga
+@dirrm %%DATADIR%%/resources/cars/flash2
+@dirrm %%DATADIR%%/resources/cars/jeep
+@dirrm %%DATADIR%%/resources/cars/vw
+@dirrm %%DATADIR%%/resources/cars/z3
+@dirrm %%DATADIR%%/resources/cars
+@dirrm %%DATADIR%%/resources/fonts
+@dirrm %%DATADIR%%/resources/goody
+@dirrm %%DATADIR%%/resources/gui
+@dirrm %%DATADIR%%/resources/menu
+@dirrm %%DATADIR%%/resources/misc
+@dirrm %%DATADIR%%/resources/panel
+@dirrm %%DATADIR%%/resources/sounds
+@dirrm %%DATADIR%%/resources/tracks/Downtown
+@dirrm %%DATADIR%%/resources/tracks/Loops
+@dirrm %%DATADIR%%/resources/tracks/Moon
+@dirrm %%DATADIR%%/resources/tracks/Rally
+@dirrm %%DATADIR%%/resources/tracks/Snake
+@dirrm %%DATADIR%%/resources/tracks/Zigzag
+@dirrm %%DATADIR%%/resources/tracks/Zurich
+@dirrm %%DATADIR%%/resources/tracks
+@dirrm %%DATADIR%%/resources
 @dirrm share/trophy
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
 %%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog.old
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/TODO
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
Comment 3 Edwin Groothuis freebsd_committer 2007-09-09 14:03:57 UTC
State Changed
From-To: feedback->open

This will be resolved when ports/115139 ([Update] devel/clanlib 
Update to 0.8.0) is commited. 



Comment 4 Edwin Groothuis freebsd_committer 2007-09-09 14:03:57 UTC
Responsible Changed
From-To: itetcu->edwin

Takeover while updating devel/clanlib.
Comment 5 Edwin Groothuis freebsd_committer 2007-09-09 14:03:57 UTC
State Changed
From-To: open->open

Doing the necessary compiling now. 


Comment 6 Edwin Groothuis freebsd_committer 2007-09-09 14:03:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

Doing the necessary compiling now.
Comment 7 Edwin Groothuis freebsd_committer 2007-09-09 14:03:57 UTC
State Changed
From-To: feedback->open

Take control while updating devel/clanlib 


Comment 8 Edwin Groothuis freebsd_committer 2007-09-09 14:03:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

Take control while updating devel/clanlib.
Comment 9 dfilter freebsd_committer 2007-09-10 00:31:09 UTC
edwin       2007-09-09 23:31:03 UTC

  FreeBSD ports repository

  Modified files:
    devel/clanlib        Makefile distinfo pkg-plist 
    games/trophy         Makefile distinfo pkg-plist 
    games/clanbomber     Makefile 
  Added files:
    devel/clanlib/files  
                         patch-Sources-GL-GLX-display-window-opengl.cpp 
                         patch-Sources-GL-GLX-input-device-linuxjoystick.h 
                         patch-Sources-GL-GLX-input_device_linuxevent.cpp 
                         patch-Sources-GL-GLX-input_device_linuxjoystick.cpp 
  Removed files:
    devel/clanlib/files  patch-Documentation::FAQ.theme 
                         patch-Documentation::Makefile.in 
                         patch-Documentation::Overview::Makefile.in 
                         patch-Documentation::Reference::Makefile.in 
                         patch-Documentation::Reference::pce2 
                         patch-Documentation::Utilities::transform.sh 
                         patch-Setup::Unix::Makefile.display.in 
                         patch-Setup::Unix::Makefile.jpeg.in 
                         patch-Setup::Unix::Makefile.mikmod.in 
                         patch-Setup::Unix::Makefile.png.in 
                         patch-Setup::Unix::Makefile.ttf.in 
                         patch-Setup::Unix::Makefile.vorbis.in 
                         patch-Setup::Unix::clanlib-config.in 
                         patch-Setup_Tests_ttf.cpp 
                         patch-Sources::API::Core::System::clanstring.h 
                         patch-Sources::GL::GLX::displaycard_glx.cpp 
                         patch-Sources::IOData::Unix::directory_scanner_unix.cpp 
                         patch-Sources::Network::Generic::browse_client_generic.cpp 
                         patch-Sources::Network::Generic::ip_address.cpp 
                         patch-Sources::Network::Generic::netcomputer.cpp 
                         patch-Sources::Network::Generic::socket_generic.h 
                         patch-Sources::SmallJPEG::jpgd::jidctfst.cpp 
                         patch-Sources::Sound::Sound::ClanSound::cdaudio_linux.cpp 
                         patch-Sources::Sound::Sound::ClanSound::oss.cpp 
                         patch-Sources_Core_System_Unix_appconf.h 
                         patch-Sources_Display_Display_Generic_blit_alphamask_rle.h 
                         patch-Sources_TTF_font_ttf.cpp 
                         patch-configure 
  Log:
  [Update] devel/clanlib Update to 0.8.0
  
          Update to 0.8.0
          Take maintainership
  
  Update games/trophy
  
          update trophy to 1.1.4 and pass maintainership to me.
  
  Ignore games/clanbomber
  
          Set ignore on games/clanbomber, it will compile but not run.
  
  PR:             ports/115139, ports/115141, ports/115142
  Submitted by:   Martin Tournoij <carpetsmoker@xs4all.nl>
  
  Revision  Changes    Path
  1.21      +81 -37    ports/devel/clanlib/Makefile
  1.7       +3 -3      ports/devel/clanlib/distinfo
  1.2       +0 -8      ports/devel/clanlib/files/patch-Documentation::FAQ.theme (dead)
  1.2       +0 -28     ports/devel/clanlib/files/patch-Documentation::Makefile.in (dead)
  1.2       +0 -18     ports/devel/clanlib/files/patch-Documentation::Overview::Makefile.in (dead)
  1.2       +0 -27     ports/devel/clanlib/files/patch-Documentation::Reference::Makefile.in (dead)
  1.2       +0 -8      ports/devel/clanlib/files/patch-Documentation::Reference::pce2 (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Documentation::Utilities::transform.sh (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.display.in (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.jpeg.in (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.mikmod.in (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.png.in (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.ttf.in (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.vorbis.in (dead)
  1.2       +0 -14     ports/devel/clanlib/files/patch-Setup::Unix::clanlib-config.in (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Setup_Tests_ttf.cpp (dead)
  1.1       +34 -0     ports/devel/clanlib/files/patch-Sources-GL-GLX-display-window-opengl.cpp (new)
  1.1       +17 -0     ports/devel/clanlib/files/patch-Sources-GL-GLX-input-device-linuxjoystick.h (new)
  1.1       +16 -0     ports/devel/clanlib/files/patch-Sources-GL-GLX-input_device_linuxevent.cpp (new)
  1.1       +15 -0     ports/devel/clanlib/files/patch-Sources-GL-GLX-input_device_linuxjoystick.cpp (new)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Sources::API::Core::System::clanstring.h (dead)
  1.2       +0 -12     ports/devel/clanlib/files/patch-Sources::GL::GLX::displaycard_glx.cpp (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Sources::IOData::Unix::directory_scanner_unix.cpp (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Sources::Network::Generic::browse_client_generic.cpp (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Sources::Network::Generic::ip_address.cpp (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Sources::Network::Generic::netcomputer.cpp (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Sources::Network::Generic::socket_generic.h (dead)
  1.2       +0 -8      ports/devel/clanlib/files/patch-Sources::SmallJPEG::jpgd::jidctfst.cpp (dead)
  1.2       +0 -31     ports/devel/clanlib/files/patch-Sources::Sound::Sound::ClanSound::cdaudio_linux.cpp (dead)
  1.2       +0 -17     ports/devel/clanlib/files/patch-Sources::Sound::Sound::ClanSound::oss.cpp (dead)
  1.2       +0 -12     ports/devel/clanlib/files/patch-Sources_Core_System_Unix_appconf.h (dead)
  1.2       +0 -43     ports/devel/clanlib/files/patch-Sources_Display_Display_Generic_blit_alphamask_rle.h (dead)
  1.2       +0 -12     ports/devel/clanlib/files/patch-Sources_TTF_font_ttf.cpp (dead)
  1.3       +0 -33     ports/devel/clanlib/files/patch-configure (dead)
  1.5       +372 -547  ports/devel/clanlib/pkg-plist
  1.17      +5 -8      ports/games/clanbomber/Makefile
  1.9       +28 -23    ports/games/trophy/Makefile
  1.4       +3 -3      ports/games/trophy/distinfo
  1.2       +132 -132  ports/games/trophy/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Edwin Groothuis freebsd_committer 2007-09-10 00:44:33 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 11 Edwin Groothuis freebsd_committer 2007-09-10 00:44:33 UTC
State Changed
From-To: open->closed

Committed, thanks!